Package org.apache.sysds.runtime.compress.utils

## Class DCounts

- java.lang.Object
- - org.apache.sysds.runtime.compress.utils.DCounts

    public class DCounts
    extends Object

### Field Summary

Fields
`int` `count`
`int` `id`
`double` `key`

### Constructor Summary

Constructors
`DCounts​(double key, int id)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `inc()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### key

    public final double key

#### count

    public int count

#### id

    public int id

### Constructor Detail

#### DCounts

    public DCounts​(double key,
                   int id)

### Method Detail

#### inc

    public void inc()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`